[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'heaptrc' (#rtl)

# SetHeapTraceOutput

Specify filename for heap trace output.

## Declaration

Source position: heaptrc.pp line 53

`procedure SetHeapTraceOutput(`
`const name: string`
`); overload; procedure SetHeapTraceOutput(`
`var ATextOutput: Text`
`); overload;`

## Description

SetHeapTraceOutput sets the filename into which heap trace info will be written. By default information is written to standard output, this function allows you to redirect the information to a file with full filename name.

## Errors

If the file cannot be written to, errors will occur when writing the trace.

## See also

SetHeapExtraInfo |  | Store extra information in blocks.